/*
 * Copyright 2012 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.robokind.integration.motion_speech;

import java.util.logging.Level;
import java.util.logging.Logger;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.robokind.api.common.services.ServiceUtils;
import org.robokind.impl.speech.viseme.VisemeBindingManagerAvroConfigLoader;
import org.robokind.impl.speech.viseme.VisemeBindingManagerAvroConfigWriter;

/**
 *
 * @author Matthew Stevenson <www.robokind.org>
 */
public class Activator implements BundleActivator {
    private final static Logger theLogger = 
            Logger.getLogger(Activator.class.getName());
    
    @Override
    public void start(BundleContext context) throws Exception {
        theLogger.log(Level.INFO, "Speech-Motion integration Activation Begin.");
        ServiceUtils.registerConfigLoader(
                context, new VisemeBindingManagerAvroConfigLoader());
        ServiceUtils.registerConfigWriter(
                context, new VisemeBindingManagerAvroConfigWriter());
		/*
         * Viseme launch for the workshop has been moved to: org.robokind.ui.integration.netbeans.Activator
         * To start visemses from another area, call:
        
        VisemeMotionUtils.startVisemeFrameSourceGroup(
                new OSGiComponentFactory(context),
                new Robot.Id(RKConstants.VIRTUAL_R50_ID), 
                RKConstants.DEFAULT_SPEECH_ID, 
                visemeAvroConfigPath);
         */
    }
    
    @Override
    public void stop(BundleContext context) throws Exception {
        //TODO add deactivation code here
    }
}
